org.apache.flume.lifecycle

## Class LifecycleSupervisor.MonitorRunnable

- java.lang.Object
- - org.apache.flume.lifecycle.LifecycleSupervisor.MonitorRunnable

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    LifecycleSupervisor

      public static class LifecycleSupervisor.MonitorRunnable
      extends Object
      implements Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `LifecycleAware` | `lifecycleAware`
    `ScheduledExecutorService` | `monitorService`
    `org.apache.flume.lifecycle.LifecycleSupervisor.Supervisoree` | `supervisoree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleSupervisor.MonitorRunnable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### monitorService

          public ScheduledExecutorService monitorService

    - #### lifecycleAware

          public LifecycleAware lifecycleAware

    - #### supervisoree

          public org.apache.flume.lifecycle.LifecycleSupervisor.Supervisoree supervisoree

  - ### Constructor Detail

    - #### LifecycleSupervisor.MonitorRunnable

          public LifecycleSupervisor.MonitorRunnable()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.